Package com.tibco.patterns.learn.modelconfig

## Class ConfQFeature

- java.lang.Object
- - com.tibco.patterns.learn.rlink.ConfFeature
  - - com.tibco.patterns.learn.modelconfig.ConfQFeature

- All Implemented Interfaces:
    `ConfQuery`, `Confidence`

      public final class ConfQFeature
      extends ConfFeature
      implements ConfQuery

  Extends the ConfFeature class to provide means to configure a NetricsQuery.

- - ### Field Summary

    - ### Fields inherited from class com.tibco.patterns.learn.rlink.ConfFeature

      `USE_DFT_BLUR_REGION_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfQFeature()` | Create an instance with default values.
    `ConfQFeature​(int minDiff, double blurWindow)` | Create an instance with specific parameter values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `useInQuery​(com.netrics.likeit.NetricsQuery query)` | Configures the given query to use the feature confidence with its parameters.

    - ### Methods inherited from class com.tibco.patterns.learn.rlink.ConfFeature

      `getBlurWindow, getConfType, getDblArg, getIntArg, getMinDiff, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfQFeature

          public ConfQFeature()

      Create an instance with default values.

    - #### ConfQFeature

          public ConfQFeature​(int minDiff,
                              double blurWindow)

      Create an instance with specific parameter values.
      Throws:
        `java.lang.IllegalArgumentException` - if a parameter is not in legal range.
      See Also:
        `ConfFeature(int, double)`

  - ### Method Detail

    - #### useInQuery

          public void useInQuery​(com.netrics.likeit.NetricsQuery query)
                          throws com.netrics.likeit.NetricsException

      Configures the given query to use the feature confidence with its parameters.
      Specified by:
        `useInQuery` in interface `ConfQuery`
      Parameters:
        `query` - - the RLink query to be set up. Not null.
      Throws:
        `com.netrics.likeit.NetricsException` - if query is not an RLink query.